Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.xml
Class XMLStreamWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.xml.XMLStreamWriter

Direct Known Subclasses:
  PrettyPrintXMLStreamWriter

    public class XMLStreamWriter

extends Object

A simple XML Stream Writer that leverages the StreamingMarkupWriter of Groovy

Since:
  1.1
Author:
  Siegfried Puchbauer

Nested Class Summary
`protected static class` | `XMLStreamWriter.Mode`

Field Summary
`protected XMLStreamWriter.Mode` | `mode`
`protected Stack<String>` | `tagStack`
`protected groovy.xml.streamingmarkupsupport.StreamingMarkupWriter` | `writer`

Constructor Summary
`XMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer)`

Method Summary
`XMLStreamWriter` | `attribute(String name, String value)`
`XMLStreamWriter` | `characters(String data)`
`XMLStreamWriter` | `end()`
`protected void` | `endStartTag()`
`XMLStreamWriter` | `startDocument(String encoding, String version)`
`XMLStreamWriter` | `startNode(String tag)`
`protected void` | `startTag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer

### mode

    protected XMLStreamWriter.Mode mode

### tagStack

    protected Stack<String> tagStack

Constructor Detail

### XMLStreamWriter

    public XMLStreamWriter(groovy.xml.streamingmarkupsupport.StreamingMarkupWriter writer)

Method Detail

### startDocument

    public XMLStreamWriter startDocument(String encoding,
                                         String version)
                                  throws IOException

  Throws:
    `IOException`

### startTag

    protected void startTag()
                     throws IOException

  Throws:
    `IOException`

### startNode

    public XMLStreamWriter startNode(String tag)
                              throws IOException

  Throws:
    `IOException`

### end

    public XMLStreamWriter end()
                        throws IOException

  Throws:
    `IOException`

### attribute

    public XMLStreamWriter attribute(String name,
                                     String value)
                              throws IOException

  Throws:
    `IOException`

### endStartTag

    protected void endStartTag()
                        throws IOException

  Throws:
    `IOException`

### characters

    public XMLStreamWriter characters(String data)
                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project